/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function envItems(
  params,
  options,
) {
  return request('/admin/env/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function envCreate(
  body,
  options,
) {
  return request('/admin/env/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function envUpdate(
  body,
  options,
) {
  return request('/admin/env/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function envItem(
  params,
  options,
) {
  return request('/admin/env/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function envDelete(
  body,
  options,
) {
  return request('/admin/env/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}